body {
  overflow-x: hidden;
}

.welcome {
 position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-image: url('/ths_search/nicewebsite/img/intro.gif');
  background-size: cover; /* Stretches to fill screen without distortion */
  background-position: center; /* Keeps the focal point centered */
  background-repeat: no-repeat;
 background-color: #666666;
 display: flex;
 justify-content: center;
 align-items: center;
 z-index: 9999;
 animation: fit forwards , 0s mainc linear forwards 11.55s; 
 pointer-events: none;
}

.imgidle {
 display: flex;
 align-items: center;
}

.fadeintext {
  font-size: 3rem;
  text-transform:uppercase;
  letter-spacing: 2px;
  text-align: center;
  opacity: 0;
  animation: fit 1s linear forwards , fo 1s linear forwards 6s;
  color: #000;
}

@keyframes fit {
 0% {opacity: 0;}
 100% {opacity: 1;}
}

@keyframes fo {
 0% {opacity: 1; visibility: visible;}
 100% {opacity: 0; visibility: hidden;}
}

@keyframes mainc {
 0% {opacity: 1;}
 100% {opacity: 0;}
}